<?php
/* @var $this CategoryController */
/* @var $model Category */

$this->breadcrumbs = array(
    'Categories' => array('admin'),
    Yii::t('admin', 'Manage'),
);

$this->menu = array(
    array('label' => 'Manage Category', 'url' => array('admin')),
    array('label' => 'Create Category', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
    $('.search-button').click(function(){
        $('.search-form').toggle();
            return false;
    });
    $('.search-form form').submit(function(){
        $('#category-grid').yiiGridView('update', {
            data: $(this).serialize()
        });
        return false;
    });
");
?>
<div class="page-header"><h1><?php echo Yii::t("admin", "Manage Categories"); ?></h1></div>

<!--<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>-->

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button btn btn-xs')); ?>
<div class="search-form display-none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->
<br/>
<?php
$this->widget('ext.widgets.FGridView', array(
    'id' => 'category-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'id',
        array(
            'name' => 'title',
            'value' => 'CHtml::link($data->title,array("update","id"=>$data->id))',
            'type' => 'raw',
        ),
        'language',
        array(
            'name' => 'create_datetime',
            'value' => 'Yii::app()->dateFormatter->formatDateTime($data->create_datetime)',
            'filter' => false,
        ),
        array(
            'name' => 'parent_id',
            'filter' => Category::model()->getTabList(),
        ),
        array(
            'class' => 'CButtonColumn',
        ),
    ),
));
?>